OCC Main Page | ApplicationFramework | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# ApplicationFramework
TKXmlL
XmlMDocStd

# XmlMDocStd Class Reference

Driver for TDocStd_XLink
.

`#include <XmlMDocStd.hxx>`

## Public Member Functions
void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
## Static Public Member Functions
static Standard_EXPORT void | AddDrivers (const Handle(XmlMDF_ADriverTable)&aDriverTable, const Handle(CDM_MessageDriver)&theMessageDriver)
| Adds the attribute drivers to <adrivertable>. .

## Member Function Documentation

static Standard_EXPORT void XmlMDocStd::AddDrivers | ( | const Handle(XmlMDF_ADriverTable)& | aDriverTable,
|  | const Handle(CDM_MessageDriver)& | theMessageDriver
| ) | `[static]`

void XmlMDocStd::operator delete | ( | void * | anAddress | ) | `[inline]`

void* XmlMDocStd::operator new | ( | size_t | size | ) | `[inline]`

void* XmlMDocStd::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

The documentation for this class was generated from the following file:

- XmlMDocStd.hxx